Subject: Re: bug#35383: 27.0.50; Complete process of decoding Gnus group names

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 23 Apr 2019 12:55:43 -0700

On 04/23/19 17:12 PM, Katsumi Yamaoka wrote:
> On Mon, 22 Apr 2019 11:39:40 -0700, Eric Abrahamsen wrote:
>> This is part two and the completion of bug#33653, which changed Gnus's
>> obarrays into hash tables, and group names from symbols to (encoded)
>> strings. The commits in the recently-pushed "scratch/gnus-decoded"
>> branch change group names to decoded strings.
>
>> Bug 33653 was a mess for a few reasons: I partitioned the changes
>> poorly, didn't call for testers, and it turned out that I was locally
>> testing a mismash of that change plus a couple changes included in this
>> branch, which hid some bugs.
>
>> This time around I'll keep it cleaner: I'll locally test only this
>> change in isolation, I'm writing a semi-interactive test suite for Gnus,
>> and in a few weeks I'll rope in three or four users to road-test the
>> changes. The upside is that, once these changes are stabilized and put
>> in, it will eliminate a whole class of potential bugs.
>
>> In the meantime I'm hanging this here as a placeholder. If any brave
>> soul does decide to give it a test-run in the meantime, back up your
>> .newsrc.eld file first!
>
> No problem for hours.  Maybe it has been completed already?
> I believe I can live with it anyway.  Though I'm not quite sure
> yet, the new and the old newsrc.eld files (containing non-ASCII
> nnml and nnrss groups) seem to be compatible with the new and
> the old Gnus mutually.  That is, I didn't need to do something
> special on the newsrc.eld file.

Yes, I also noticed that a fully-decoded .newsrc.eld actually seems to
work fine with both the new and the old code. But better to be cautious.

> ;; Where `new' means that of the scratch/gnus-decoded branch,
> ;; and `old' means that of Emacs 26.2.50.
>
> Regards,

Thanks for testing!